Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 191448 - Node.js Project Support
Node.js Project Support
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: -- Other --
7.0
All All
: P3 with 4 votes (vote)
: 8.1
Assigned To: Petr Pisl
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-28 20:04 UTC by peathal
Modified: 2015-03-02 08:37 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peathal 2010-10-28 20:04:55 UTC
It should be possible to create (clean) javascript projects like it is possible to create java projects. With clean I mean only javascript files without html, css ...

With node.js (and others) the language Javascript evolves to a server language and such a thing could be useful. Also defining project and package structures would make sense. (And executing a simple script via 'node myjavascript.js' should also be possible via F6)

At the moment am using the JavaWebApp project and put the javascript into a separate folder under 'Web Pages'. 

Additionaly for unit testing I am using 

http://pivotal.github.com/jasmine/

ALT+F6 and embedding the jasmine results into netbeans would be a great convenience
Comment 1 peathal 2010-10-29 13:31:32 UTC
It would be also great to make debugging working out of the box
Comment 2 Geertjan Wielenga 2014-10-14 08:07:15 UTC
Can you take a look at the node.js plugin by Tim Boudreau?

http://timboudreau.com/blog/NetBeans_Tools_for_Node_js/read
Comment 3 elennaro 2015-02-28 11:04:39 UTC
8.1 comes with nodeJS support so its probably time to resolve this one?
Comment 4 elennaro 2015-02-28 21:44:22 UTC
I mean to makr it as resolved and close.
Comment 5 Petr Pisl 2015-03-02 08:37:19 UTC
You are right. This is implemented in the upcoming release. Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo